<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: cr_alfa_extension_15082014.xml */
/* Generado: 2014-08-26 22:08:17 */

/* M�todos de acceso a los campos de la tabla cr_cliente_file */
abstract class BaseCr_cliente_fileBN
{
    /* Campos de la tabla */
    private $i_IdClienteFile;    // IdClienteFile: ( no definido )
    private $i_IdCliente;    // IdCliente: ( no definido )
    private $s_FileNumero;    // FileNumero: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_NombreFile;    // NombreFile: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $d_FechaRegistro;    // FechaRegistro: ( no definido )
    private $s_UsuarioRegistro;    // UsuarioRegistro: ( no definido )
    private $i_Idtipofile;    // idtipofile: ( no definido )

    /* Establece el valor del campo IdClienteFile */
    public function setIdClienteFile( $i_IdClienteFile )
    {
        $this->i_IdClienteFile = $i_IdClienteFile;
    }

    /* Obtiene el valor del campo IdClienteFile */
    public function getIdClienteFile()
    {
        return $this->i_IdClienteFile;
    }

    /* Establece el valor del campo IdCliente */
    public function setIdCliente( $i_IdCliente )
    {
        $this->i_IdCliente = $i_IdCliente;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getIdCliente()
    {
        return $this->i_IdCliente;
    }

    /* Establece el valor del campo FileNumero */
    public function setFileNumero( $s_FileNumero )
    {
        $this->s_FileNumero = $s_FileNumero;
    }

    /* Obtiene el valor del campo FileNumero */
    public function getFileNumero()
    {
        return $this->s_FileNumero;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo NombreFile */
    public function setNombreFile( $s_NombreFile )
    {
        $this->s_NombreFile = $s_NombreFile;
    }

    /* Obtiene el valor del campo NombreFile */
    public function getNombreFile()
    {
        return $this->s_NombreFile;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo FechaRegistro */
    public function setFechaRegistro( $d_FechaRegistro )
    {
        $this->d_FechaRegistro = $d_FechaRegistro;
    }

    /* Obtiene el valor del campo FechaRegistro */
    public function getFechaRegistro()
    {
        return $this->d_FechaRegistro;
    }

    /* Establece el valor del campo UsuarioRegistro */
    public function setUsuarioRegistro( $s_UsuarioRegistro )
    {
        $this->s_UsuarioRegistro = $s_UsuarioRegistro;
    }

    /* Obtiene el valor del campo UsuarioRegistro */
    public function getUsuarioRegistro()
    {
        return $this->s_UsuarioRegistro;
    }

    /* Establece el valor del campo idtipofile */
    public function setIdtipofile( $i_Idtipofile )
    {
        $this->i_Idtipofile = $i_Idtipofile;
    }

    /* Obtiene el valor del campo idtipofile */
    public function getIdtipofile()
    {
        return $this->i_Idtipofile;
    }

    /* Recupera un objeto Cr_cliente_fileBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_cliente_fileRs )
    {
        $o_Cr_cliente_fileBN = new Cr_cliente_fileBN();
        $o_Cr_cliente_fileBN->setIdClienteFile( ( integer ) $o_Cr_cliente_fileRs[ "IdClienteFile" ] );
        $o_Cr_cliente_fileBN->setIdCliente( ( integer ) $o_Cr_cliente_fileRs[ "IdCliente" ] );
        $o_Cr_cliente_fileBN->setFileNumero( $o_Cr_cliente_fileRs[ "FileNumero" ] );
        $o_Cr_cliente_fileBN->setEstado( $o_Cr_cliente_fileRs[ "Estado" ] );
        $o_Cr_cliente_fileBN->setNombreFile( $o_Cr_cliente_fileRs[ "NombreFile" ] );
        $o_Cr_cliente_fileBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_cliente_fileRs[ "FechaEliminado" ], "Y-m-d" ) );
        $o_Cr_cliente_fileBN->setUsuarioEliminado( $o_Cr_cliente_fileRs[ "UsuarioEliminado" ] );
        $o_Cr_cliente_fileBN->setEliminado( ( integer ) $o_Cr_cliente_fileRs[ "Eliminado" ] );
        $o_Cr_cliente_fileBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_Cr_cliente_fileRs[ "FechaRegistro" ], "Y-m-d" ) );
        $o_Cr_cliente_fileBN->setUsuarioRegistro( $o_Cr_cliente_fileRs[ "UsuarioRegistro" ] );
        $o_Cr_cliente_fileBN->setIdtipofile( ( integer ) $o_Cr_cliente_fileRs[ "Idtipofile" ] );
        return $o_Cr_cliente_fileBN;
    }
}
?>